import LoadingSpinner from "@/components/LoadingSpinner"
import { setLang } from "@/i18n/serverContext"

import styles from "./page.module.css"

import { LangParams, PageArgs } from "@/types/params"

export default function Refresh({ params }: PageArgs<LangParams>) {
  setLang(params.lang)

  return (
    <div className={styles.container}>
      <LoadingSpinner />
    </div>
  )
}
